Topic outline

  • General


    This area contains information and resources that will help parents to understand what children have been learning in school and how children can be supported with their learning at home.

    K1 children are currently following the 'How The World Works' Unit of Inquiry

            

     Last Updated: 26th June 2019 (How We Express Ourselves) 

    • Topic 1

      26th June 2019 

       

      Dear Parents,

      We would like to take this opportunity to thank you for all the support you have given your children and us over the past year. It has been an absolute whirlwind - feels like just yesterday we welcomed our new K1 cohort! We have had a fantastic year getting to know your children and can't wait to watch them continue to flourish as they move to K2. 

      Have a wonderful summer!

      Thank you again,

      K1 Team 

      • Topic 1

        22nd February 2019

        Celebrations

        Thank you to all our families for joining us to celebrate Chinese New Year during our family day last Thursday. It was wonderful seeing our school community come together and share the experience with one another. We were able to sample some traditional festival foods, participate in some Chinese inspired learning engagements and we even had the opportunity to watch a Lion Dance performance. 

        Cultural awareness and tradition play important roles in helping young children develop a positive sense of identity and build self-esteem. Studies show that cultural appreciation and awareness contribute to building a positive self image. Developing a strong foundation of belonging and acceptance through cultural celebration and education helps children to create a diverse social network while transitioning into adulthood.

        The importance of holidays and traditions spans across most cultures. Participating in the celebration of holidays creates a special experience that can help bond young children with their family’s cultural traditions. K1 children have been taught about a range of holidays and traditions, and this has helped them to build an understanding that their personal traditions may be different than their friends.

        Curriculum Links:

         

        PSPE: Learners talk about similarities and differences between themselves and others.

        PSPE: Learners reflect on their experiences in order to build a deeper understanding of self.

        Who We Are: How our experiences impact us

        How We Express Ourselves: The role of Arts in celebrations

        Kumquat inspired artwork 

        Exploring symmetry through dragon art

        We loved watching the Lion Dance performance

        15th February 2019

        This term, the K1s will begin a new unit of inquiry - How The World Works. In this unit, the children will have the opportunity to inquire into how people use their senses to investigate, explore and document the world around us. As part of the unit, the children will participate in a number of outdoor learning experiences which will encourage them to become more aware of their surroundings and to develop a greater appreciation of nature. Please let your class teacher know if you are available to support these outings. 

        Winter Uniform

        As the weather is getting colder many children are coming to school with several layers on. Although we acknowledge that the temperature outside has fallen, the school climate has remained the same, therefore some children are starting to overheat. Please consider this when dressing your child for school – we would recommend a warm jacket and a sweatshirt instead of numerous layers underneath the uniform. We would also like to remind parents to ensure that all clothing is clearly labelled (incl. socks, tights & shoes) with your child’s name on the tag.

        We are looking forward to continuing to work with families and children this term.

        Important Diary Dates to consider:

        5th March: Parent Workshop - Supporting Children’s Writing Development

        8th March: School closed for CPD

        12th March: Hong Kong Forest Adventures Trip - Owl Class

        13th March: Hong Kong Forest Adventures Trip - Pheasant Class

        14th March: Hong Kong Forest Adventures Trip - Peacock Class

        15th March: Hong Kong Forest Adventures Trip - Eagle Class

        19th March: Parent Workshop – Learning Additional Languages

        30th March: WKSK Family Fun Fair

        5th April: School closed – Public Holiday

        w/c 1st April: K1 Parent Conferences

        11th April: WKSK Sports Day at RC

        12th - 26th April: School closed

        29th April: Term 3 begins

        • Topic 3

          26th October 2018

          Dear Parents,

          Thank you all for continuing to support your children in their first year of kindergarten. K1 staff have been very impressed with how well our children have settled into the school environment and how confident they have become in such a short space of time. 

          We have identified a few areas we still need your support with and you will find details of these below. 

          Thank you again for helping us to provide your child with the best start to kindergarten! 

          Kind regards,

          K1 Team

          Snack

          Please provide your child with a small, healthy snack e.g. fruit, vegetables, crackers. As we are an eco-friendly school we ask that children do not bring their snack in plastic bags. A reusable container, which is clearly labeled with your child’s name, is ideal. Please note that the school has a NO NUT policy due to severe allergies.

          An example of an ideal snack bag and bottle. 

          An example of a healthy snack. 

          Uniform

          Please ensure that all clothing is clearly labelled (incl. socks & shoes) with your child’s name on the tag. 

          Pick-up/Drop-off

          The school doors will open at 8:25/12:25 for drop-off and 11:25/15:25 for pick-up. Please ensure you are prompt and on time. The class teacher will be available at the door to support your child with the entry routine. At pick-up time, pick-up cards must be presented by the adult collecting your child. If there are any changes to your normal pick-up arrangements, please contact the school office prior to 10.45am or 2.45pm by phone or by email to kinder@wksk.edu.hk. Email notifications will be acknowledged by return.

          Final Plea….

          Thank you for returning the ‘All About Me’ booklets and for providing us with family photos. If you have not already done so, please can you provide your child’s class teacher with these as soon as possible. Thank you!